Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154490 - Wireless extension off sync with wireless-tools
Summary: Wireless extension off sync with wireless-tools
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-12 06:50 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-27 23:45:06 UTC


Attachments (Terms of Use)
Make ethtools.c use libiw.so (deleted)
2005-04-13 15:18 UTC, Emre Telatar
no flags Details | Diff
Make ethtools.c use libiw.so (in rhpl-0.158.1) (deleted)
2005-04-13 15:20 UTC, Emre Telatar
no flags Details | Diff

Description Ville Skyttä 2005-04-12 06:50:01 UTC
When launching system-config-network, I get a lot of this in the console:

  Warning : Device eth1 has been compiled with version 17
  of Wireless Extension, while we are using version 16.
  Some things may be broken...

eth1 is a PCMCIA WLAN card.  See also bug 151516 comment 5.

Comment 1 Emre Telatar 2005-04-13 15:18:12 UTC
Created attachment 113100 [details]
Make ethtools.c use libiw.so

Comment 2 Emre Telatar 2005-04-13 15:20:23 UTC
Created attachment 113102 [details]
Make ethtools.c use libiw.so (in rhpl-0.158.1)

Comment 3 Emre Telatar 2005-04-13 15:22:08 UTC
I observed the same warning with FC3 after upgrading to 2.6.10 kernels.  It
turns out that the problem lies with the rhpl package, which appears to contain
its own wireless tools library in iwlib.c rather than linking with libiw.so. 
The iwlib.c code in the wireless tools package is indeed old, in any case it is
probably not a good idea to have the same code in two packages.  I modified the
rhpl source files to link with libiw.so and the warnings disappeared.  (The
changes in rhpl source simply use the newer structures and API's in libiw.)  I
just sent two patches: one against rhpl-0.148.1-2 (current FC3) and rhpl-0.158.1
(appears to be latest).  Hope this helps.

Bug 143960 seems to talk about the same problem.


Comment 4 Emre Telatar 2005-04-13 15:37:01 UTC
I observed the same warning with FC3 after upgrading to 2.6.10 kernels.  It
turns out that the problem lies with the rhpl package, which appears to contain
its own wireless tools library in iwlib.c rather than linking with libiw.so. 
The iwlib.c code in the rhpl package is indeed old, in any case it is probably
not a good idea to have the same code in two packages.  I modified the rhpl
source files to link with libiw.so and the warnings disappeared.  (The changes
in rhpl source simply use the newer structures and API's in libiw.)  I just sent
two patches: one against rhpl-0.148.1-2 (current FC3) and rhpl-0.158.1 (appears
to be latest).  Hope this helps.

Bug 143960 seems to talk about the same problem.


Note You need to log in before you can comment on or make changes to this bug.